#ifndef __LUTS_FOR_CFAP200200A10154_H__
#define __LUTS_FOR_CFAP200200A10154_H__
//=============================================================================
// "Arduino" example program for Crystalfontz ePaper. 
//
// This project is for the CFAP200200A1-0154 :
//
//   https://www.crystalfontz.com/product/cfap200200a10154
//=============================================================================




const uint8_t LUT_Full_Update[31] PROGMEM =
{
  0x32,	// command

  0x66,   //machine LUT
  0x66,
  0x44,
  0x66,
  0xAA,
  0x11,
  0x80,
  0x08,
  0x11,
  0x18,
  0x81,
  0x18,
  0x11,
  0x88,
  0x11,
  0x88,
  0x11,
  0x88,
  0x00,
  0x00,
  0xFF,
  0xFF,
  0xFF,
  0xFF,
  0x5F,
  0xAF,
  0xFF,
  0xFF,
  0x2F,
  0x00
};


//for the 200200A1
const uint8_t LUT_Partial_Update[31] PROGMEM =
{ 
  0x32,	// command

  0x10
  ,0x18
  ,0x18
  ,0x28
  ,0x18
  ,0x18
  ,0x18
  ,0x18
  ,0x08
  ,0x00
  ,0x00
  ,0x00
  ,0x00
  ,0x00
  ,0x00
  ,0x00
  ,0x00
  ,0x00
  ,0x00
  ,0x00
  ,0x13
  ,0x11
  ,0x22
  ,0x63
  ,0x11
  ,0x00
  ,0x00
  ,0x00
  ,0x00
  ,0x00
};

//=============================================================================
#endif //  __LUTS_FOR_CFAP200200A10154_H__
